/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuScript.atuScriptGroup;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.scriptcase.db.entity.AtuScriptGroup;

import java.io.Serializable;
import java.util.List;

/**
* Restful接口--资源详情--数据传输对象：脚本分组表
*
* createdate:  2022-10-18 17:29:49  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "脚本目录信息")
public class AtuScriptGroupDetailDto extends AtuScriptGroup implements Serializable
{
    /**
     * 子节点列表<br>
     */
    @ApiModelProperty("目录名称")
    private List<AtuScriptGroupDetailDto> children;
    /**
     * 节点类型 p-系统 g-目录<br>
     */
    @ApiModelProperty("节点类型 p-系统 g-目录")
    private String nodeType;

    @ApiModelProperty("节点次序")
    private Integer idx;

    public Integer getIdx() {
        return idx;
    }

    public void setIdx(Integer idx) {
        this.idx = idx;
    }

    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public List<AtuScriptGroupDetailDto> getChildren() {
        return children;
    }

    public void setChildren(List<AtuScriptGroupDetailDto> children) {
        this.children = children;
    }
}